Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver
Interface Command

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DisconnectCommand, HelloWorldCommand, RunAntCommand, RunTargetCommand, SendFileCommand, ShutdownCommand

public interface Command
extends java.io.Serializable

Place class description here.

Since:
Author:
  inger,

Method Summary
`boolean` | `execute(org.apache.tools.ant.Project project, java.io.ObjectInputStream ois)` Execute the command.
`void` | `localExecute(org.apache.tools.ant.Project project, java.io.ObjectOutputStream oos)`
`void` | `validate()` This should throw a build exception if the parameters are invalid.

Method Detail

### validate

    public void validate()

  This should throw a build exception if the parameters are invalid.

### execute

    public boolean execute(org.apache.tools.ant.Project project,
                           java.io.ObjectInputStream ois)
                    throws java.lang.Throwable

  Execute the command.

  Parameters:
    `project` -
  Returns:
    If true, the connection will be closed
  Throws:
    `java.lang.Throwable`

### localExecute

    public void localExecute(org.apache.tools.ant.Project project,
                             java.io.ObjectOutputStream oos)
                      throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD